Bug 9925 - Remove unused table-pager include
Summary: Remove unused table-pager include
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 9443
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 17:00 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9925 - Remove unused table-pager include (2.45 KB, patch)
2013-04-09 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9925 - Remove unused table-pager include (2.49 KB, patch)
2013-04-12 12:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9925 - Remove unused table-pager include (2.47 KB, patch)
2013-04-23 09:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-25 17:00:12 UTC
If the patch for Bug 9443 gets pushed there will be no more instances of the tablesorter in Koha which require the include file 'table-pager.inc'. At that time it can be safely removed.
Comment 1 Owen Leonard 2013-04-09 13:32:15 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-04-12 12:39:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-04-23 09:27:01 UTC
QA comment:
This patch just remove an unused file.

The following command returns no result:
  git grep table-pager | grep -v translator 

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-04-23 09:27:12 UTC
Created attachment 17607 [details] [review]
Bug 9925 - Remove unused table-pager include

While the tablesorter plugin has not been completely eliminated from the
staff client yet, there are no more instances where it requires the
include file for showing paging controls. table-pager.inc can be safely
removed.

To test, apply the patch and confirm that the file is gone. A search of
Koha templates for references to table-pager.inc should return no
results.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jared Camins-Esakov 2013-04-26 01:33:57 UTC
This patch has been pushed to master and 3.12.x.